import { api } from 'src/boot/axios';
class getdata {
  async get_server() {
    return await api.get('https://api.giaogiao.uk/api.php?type=list');
  }
  async text_server(url: string) {
    const res = await api.post(
      'https://service-7hslob28-1258902677.nj.apigw.tencentcs.com/release/',
      { url }
    );

    const tmp = { 'is_online': res.data.sataus == 400, 'time': res.data.time }
    return tmp
  }
  async get_country(ip: string) {
    let res = await api.post('https://api.giaogiao.uk/api.php?type=searchip', {
      ip,
    });
    res = res.data.country
    if (typeof (res) == 'string') { return res }
    return ''

  }
  async get_server_ms(ip: string, port: number, to_ip: string, istls: number) {
    const http = istls == 0 ? 'http' : 'https'
    return this.text_server(`${http}://${ip}:${port}/${to_ip}`)
  }

}

export { getdata };
